For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scans

Soda Cloud API Scan Endpoints

Get scan status

get
/api/v1/scans/{scanId}

This endpoint enables you to check on the state of a scan that you executed using the Trigger a scan endpoint. Call this endpoint to monitor the status of a scan during its execution.

If you wish to access the logs of a completed scan, use the Get scan logs endpoint.

This POST uses the following parameter to provide specific details:

  • scanId: Use the value of X-Soda-Scan-Id returned as part of the 201 response when you called the Trigger a scan endpoint.

As a scan executes, you can call this endpoint to progressively collect values based on the state of the scan. Refer to the list below for the states that calls to this endpoint return.

  • queuing: The scan is in the queue for execution, awaiting a pick-up from a Soda Runner.

  • executing: A Soda Runner has picked up the scan and is executing.

  • cancelationRequested: An entity requested cancelation of this scan and the request is awaiting pick-up from the Soda Runner responsible for the scan.

  • timeOutRequested: A time out has been detected, and an automatic request to stop the scan execution is awaiting pick-up from the Soda Runner responsible for the scan.

  • canceled: A Soda Runner confirmed that the scan has been cancelled. This is the final state of the scan.

  • timedOut: A Soda Runner confirmed that the scan has timed-out. This is the final state of the scan.

  • failed: The scan did not start, or it did not successfully complete because of an unexpected cause. This is the final state of the scan.

  • completedWithErrors: The scan completed successfully, but there were errors involving some of the checks in the scan. This is the final state of the scan.

  • completedWithFailures: The scan completed successfully and reveals failed results for some checks. This is the final state of the scan.

  • completedWithWarnings: The scan completed successfully and reveals warning results for some checks. This is the final state of the scan.

  • completed: The scan completed successfully and reveals passing results for all checks. This is a final state of a scan

To get the logs of the completed scan, please use API /api/v1/scans/{scanId}/logs.

Authentication

User authentication required: true

This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Scans

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
scanIdstringRequired
Responses
200

Successful response

application/json
agentIdstringOptionalDeprecated
cloudUrlstringRequired
contractDatasetCloudUrlstringOptional
createdstring · date-timeRequired
endedstring · date-timeOptional
errorsinteger · int32Optional
failuresinteger · int32Optional
idstringRequired
runnerIdstringOptional
scanTimestring · date-timeOptional
startedstring · date-timeOptional
stateobject · enumRequiredPossible values:
submittedstring · date-timeOptional
warningsinteger · int32Optional
get/api/v1/scans/{scanId}

Cancel a scan

delete
/api/v1/scans/{scanId}

This endpoint enables you to cancel a scan.

Depending on the state of the scan when you call this endpoint, the response returns one of the following:

  • Where the state is pending, Soda immediately changes the state to canceled.

  • Where the state is submitted, Soda immediately changes the state to cancelationRequested. - Where the scan is in any other state, the endpoint returns a 400 (Bad request) response.

This DELETE uses the following parameters to provide specific details:

  • scanId: Use the value of X-Soda-Scan-Id returned as part of the 201 response when you called the Trigger a scan endpoint.

Authentication

User authentication required: true

This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Scans

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
scanIdstringRequired
Responses
200

Successful response

delete/api/v1/scans/{scanId}

No content

Get scan logs

get
/api/v1/scans/{scanId}/logs

This endpoint enables you to gather log details about the final state of a scan you executed using the Trigger a scan endpoint. Use this endpoint to study scan logs to investigate issues with its execution.

If you wish to access the state of a scan in progress, use the Get scan status endpoint.

This GET is a paginated API that uses the following parameters to request specific details:

  • scanId: Use the value of X-Soda-Scan-Id returned as part of the 201 response when you called the Trigger a scan endpoint.

  • size: Supply an integer value between 100 and 1000, inclusive. The default value is 1000.

  • page: Supply an integer value. The default value is 0.

The response sorts the the log information by creation timestamp in ascending order.

Authentication

User authentication required: true

This endpoint accepts authentication via API keys in the Basic authentication header, or a pre-authenticated token in HTTP cookie token. Cookie sessions extend automatically on each request.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Scans

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
scanIdstringRequired
Query parameters
pageinteger · int32Optional
sizeinteger · int32Optional
Responses
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get/api/v1/scans/{scanId}/logs

Last updated

Was this helpful?